Subject: Re: arm64 allmodconfig failures in nft_reject_bridge.c

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 13 Nov 2014 12:43:57 +0100

On Thu, Nov 13, 2014 at 11:33:20AM +0000, Mark Brown wrote:
> Since about -rc3 we've been seeing build failures in Linus' tree on
> arm64 allmodconfig due to:
> 
> > 	arm64-allmodconfig
> > ../net/bridge/netfilter/nft_reject_bridge.c:240:3: error: implicit declaration of function 'csum_ipv6_magic' [-Werror=implicit-function-declaration]
> 
> By the time I looked into this it was fixed in -next by c1207c049b204b0
> (netfilter: nft_reject_bridge: Fix powerpc build error) from Guenter but
> that doesn't seem to have made it into -rc4 so I just wanted to check
> that this fix was intended to go to Linus before v3.18?

I can see this in David's tree:

http://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=c1207c049b204b0a96535dc5416aee331b51e0e1

I think this was reported by when -rc4 was already out, so you'll see
this by -rc5.